PUT List/Category/Items/{id}/Headings
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/Category/Items/{itemId}/Headings
Saves headings for the Category list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the headings to be saved. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/Category/Items/{itemId}/Headings
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
[
{
"Id": 611,
"Name": "Kassulke LLC",
"ToolTip": "Laudantium magni est officia.",
"Deleted": false,
"Rank": 579,
"Type": "quibusdam",
"ColorBlock": 487,
"IconHint": "et",
"Selected": false,
"LastChanged": "2004-09-23T14:34:03.0038304+02:00",
"ChildItems": [
{
"Id": 742,
"Name": "Schroeder Inc and Sons",
"ToolTip": "Quam quia.",
"Deleted": true,
"Rank": 558,
"Type": "laborum",
"ColorBlock": 478,
"IconHint": "tempore",
"Selected": false,
"LastChanged": "2006-05-23T14:34:03.0038304+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "eius",
"StyleHint": "cum",
"Hidden": false,
"FullName": "Ms. Dimitri Predovic DVM"
}
],
"ExtraInfo": "quas",
"StyleHint": "accusantium",
"Hidden": false,
"FullName": "Carroll Walker"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 679,
"Name": "Prospect",
"ToolTip": "A eum eius sapiente nostrum.",
"Deleted": false,
"Rank": 834,
"Type": "Category",
"ColorBlock": 744,
"IconHint": "nisi",
"Selected": false,
"LastChanged": "2006-10-09T14:34:03.0038304+02:00",
"ChildItems": [
{
"Id": 325,
"Name": "Prospect",
"ToolTip": "Et mollitia.",
"Deleted": false,
"Rank": 379,
"Type": "Category",
"ColorBlock": 228,
"IconHint": "voluptatem",
"Selected": true,
"LastChanged": "2005-08-25T14:34:03.0038304+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "sed",
"StyleHint": "animi",
"Hidden": true,
"FullName": "Dr. Joshua Omer Corkery",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 533
}
}
}
],
"ExtraInfo": "cum",
"StyleHint": "modi",
"Hidden": false,
"FullName": "Lauretta Thiel III",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 360
}
}
}
]